Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver
Interface SubscriptionShim

All Superinterfaces:
  XmlCommandProcessor

    public interface SubscriptionShim

extends XmlCommandProcessor

The `SubscriptionShim` interface defines a method through which the Identity Manager Engine issues commands to an application shim.

The Engine will obtain an implementation of `SubscriptionShim` only through the `DriverShim.getSubscriptionShim` method.

Method Summary
`XmlDocument` | `execute(XmlDocument doc, XmlQueryProcessor query)` The `execute` method is called to cause the shim to execute commands described by the `doc` parameter.
`XmlDocument` | `init(XmlDocument initParameters)` The `init` method is called to allow the shim to perform any subscriber-channel-specific initialization needed.

Method Detail

### init

    XmlDocument init(XmlDocument initParameters)

  The `init` method is called to allow the shim to perform any subscriber-channel-specific initialization needed. It will be called before the first invocation of `execute`.

  User-specified parameter values are passed in the `initParameters` document. See the Identity Manager SDK for information on the document format.

  The return from `init` is an XDS output document containing a <status> element indicating the result of initialization. A `null` return is allowed and is interpreted as success. A <status> element with a `level="error"` or `level="fatal"` XML attribute will cause the Engine to abort the shim initialization.

  Parameters:
    `initParameters` - an XML document that contains the subscriber initialization parameters.
  Returns:
    `null` or an XML document indicating the result of the initialization operation

### execute

    XmlDocument execute(XmlDocument doc,
                        XmlQueryProcessor query)

  The `execute` method is called to cause the shim to execute commands described by the `doc` parameter. Note that there may be zero or more commands.

  The `query` parameter allows the shim to query the Identity Manager Engine for any additional information that the shim might require.

  The return from execute is an XML output document containing one or more <status> elements. There must be at least one <status> element for each command. Each <status> element must have an event-id attribute whose value is the same as the event-id attribute value on the command that resulted in the <status> element.

  In the event of the successful execution of an <add> command the result must also contain an <add-association> response.

  Specified by:
    `execute` in interface `XmlCommandProcessor`
  Parameters:
    `doc` - The document that contains commands
    `query` - A query processor that can be used to query the caller for more information
  Returns:
    An XML output document containing the results of processing the commands (`null` is allowed but discouraged)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD